﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridDataSourceTest
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			var rnd = new Random();

			for (int i = 0; i < 25; i++)
			{
				var row = dataSet1.Tables[0].NewRow();
				row.ItemArray = new object[] { rnd.Next(25), rnd.Next(25), rnd.Next(25), rnd.Next(25) };
				dataSet1.Tables[0].Rows.Add(row);

				row = dataSet2.Tables[0].NewRow();
				row.ItemArray = new object[] { rnd.Next(25), rnd.Next(25), rnd.Next(25), rnd.Next(25), rnd.Next(25) };
				dataSet2.Tables[0].Rows.Add(row);
			}

			ultraGrid1.DataSource = dataSet1.Tables[0];
		}

		private void ultraButton1_Click(object sender, EventArgs e)
		{
			ultraGrid1.DataSource = dataSet2.Tables[0];
		}

		private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
		{
			e.Layout.Override.RowSelectorNumberStyle = RowSelectorNumberStyle.ListIndex;
		}
	}
}
